View Issue Details

IDProjectCategoryView StatusLast Update
17015Bug reportsImport/Exportpublic2021-02-25 18:41
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status confirmedResolutionfixed 
Product Version4.4.0-RC3 
Summary17015: Import from TSV : relevance set to "0" not imported
Description

When export a TSV from 3.X with relecance set to 0 :
When import in 4.X : relevance is set to "" (empty string)

Steps To Reproduce
  • Import includes txt in 3.X : check survey logic
  • Import includes txt in 4.X : check survey logic
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.0-RC4
I will donate to the project if issue is resolvedNo
Sync to Zoho ProjectYes
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17114 assignedgabrieljenik Import from TSV : relevance set to "0" not imported 

Activities

DenisChenu

DenisChenu

2021-01-27 18:29

developer  

limesurvey_survey_548455-relevance0.txt (24,638 bytes)   
id	related_id	class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	answer_width_bycolumn	arrayFilterHtml	array_filter	array_filter_exclude	array_filter_style	assessment_value	autoComplete	autoCompleteAsDropdown	autoCompleteCsvFile	autoCompleteFilter	autoCompleteMinChar	autoCompleteOneColumn	autoCompletePlaceholder	autoCompleteRemoveSpecialChar	autoCompleteShowDefaultTip	category_separator	choice_input_columns	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	commentsOnSurvey_append	commentsOnSurvey_comments	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	extraSurvey	extraSurveyAddNewInLanguage	extraSurveyAutoCloseSubmit	extraSurveyAutoDelete	extraSurveyDeleteUnsubmitted	extraSurveyFillAnswer	extraSurveyMaxresponse	extraSurveyNameInLanguage	extraSurveyOrderBy	extraSurveyOtherField	extraSurveyQuestion	extraSurveyQuestionAllowDelete	extraSurveyQuestionLink	extraSurveyQuestionLinkUse	extraSurveyShowId	extraSurveyTokenUsage	generateGraphHide	generateGraphSize	generateGraphSource	hidden	hide_tip	input_boxes	input_size	javascript	jquerySimpleMask_clearIfNotMatch	jquerySimpleMask_mask	jquerySimpleMask_placeholder	jquerySimpleMask_reverse	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	pdfReport	pdfReportCreateToc	pdfReportPdfGenerator	pdfReportPrintAnswer	pdfReportSanitizeSavedFileName	pdfReportSavedFileName	pdfReportSendByEmailAttachment	pdfReportSendByEmailContent	pdfReportSendByEmailMail	pdfReportSubTitle	pdfReportTitle	prefix	printable_help	public_statistics	question_template	radioToStarRating	random_group	random_order	rank_title	readonly	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	scriptActivate	selectQuestionByDropdownType	selectQuestionByForceOne	selectQuestionBySource	selectQuestionByType	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_default_set	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_reversed	slider_separator	slider_showminmax	spreadsheetSurvey	spreadsheetSurveyDeleteNotForcedValues	spreadsheetSurveyFillAnswer	spreadsheetSurveyFixedLines	spreadsheetSurveyForcedFillQuestion	spreadsheetSurveyForcedFillValues	spreadsheetSurveyForcedSubmitted	spreadsheetSurveyHiddenQuestions	spreadsheetSurveyOrderBy	spreadsheetSurveyOtherField	spreadsheetSurveyQuestionLink	spreadsheetSurveyTokenUsage	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	unicityOnChoice	unicityOnChoiceAltColumn	unicityOnChoiceCheckEmpty	unicityOnChoiceExtra	unicityOnChoiceToken	unicityOnChoiceWay	useAsUniqueId	use_dropdown	value_range_allows_missing
		S		sid		548455																																																																																																																																																																																																																				
		S		gsid		1																																																																																																																																																																																																																				
		S		admin		Administrator																																																																																																																																																																																																																				
		S		adminemail		your-email@example.net																																																																																																																																																																																																																				
		S		anonymized		N																																																																																																																																																																																																																				
		S		faxto																																																																																																																																																																																																																						
		S		format		G																																																																																																																																																																																																																				
		S		savetimings		N																																																																																																																																																																																																																				
		S		template		skelvanilla																																																																																																																																																																																																																				
		S		language		en																																																																																																																																																																																																																				
		S		additional_languages																																																																																																																																																																																																																						
		S		datestamp		N																																																																																																																																																																																																																				
		S		usecookie		N																																																																																																																																																																																																																				
		S		allowregister		N																																																																																																																																																																																																																				
		S		allowsave		Y																																																																																																																																																																																																																				
		S		autonumber_start		0																																																																																																																																																																																																																				
		S		autoredirect		N																																																																																																																																																																																																																				
		S		allowprev		N																																																																																																																																																																																																																				
		S		printanswers		N																																																																																																																																																																																																																				
		S		ipaddr		N																																																																																																																																																																																																																				
		S		refurl		N																																																																																																																																																																																																																				
		S		showsurveypolicynotice		0																																																																																																																																																																																																																				
		S		publicstatistics		N																																																																																																																																																																																																																				
		S		publicgraphs		N																																																																																																																																																																																																																				
		S		listpublic		N																																																																																																																																																																																																																				
		S		htmlemail		Y																																																																																																																																																																																																																				
		S		sendconfirmation		Y																																																																																																																																																																																																																				
		S		tokenanswerspersistence		N																																																																																																																																																																																																																				
		S		assessments		N																																																																																																																																																																																																																				
		S		usecaptcha		N																																																																																																																																																																																																																				
		S		usetokens		N																																																																																																																																																																																																																				
		S		bounce_email		your-email@example.net																																																																																																																																																																																																																				
		S		emailresponseto																																																																																																																																																																																																																						
		S		emailnotificationto																																																																																																																																																																																																																						
		S		tokenlength		15																																																																																																																																																																																																																				
		S		showxquestions		Y																																																																																																																																																																																																																				
		S		showgroupinfo		B																																																																																																																																																																																																																				
		S		shownoanswer		N																																																																																																																																																																																																																				
		S		showqnumcode		X																																																																																																																																																																																																																				
		S		bounceprocessing		N																																																																																																																																																																																																																				
		S		showwelcome		Y																																																																																																																																																																																																																				
		S		showprogress		Y																																																																																																																																																																																																																				
		S		questionindex		0																																																																																																																																																																																																																				
		S		navigationdelay		0																																																																																																																																																																																																																				
		S		nokeyboard		N																																																																																																																																																																																																																				
		S		alloweditaftercompletion		N																																																																																																																																																																																																																				
		SL		surveyls_survey_id		548455		en																																																																																																																																																																																																																		
		SL		surveyls_language		en		en																																																																																																																																																																																																																		
		SL		surveyls_title		Array		en																																																																																																																																																																																																																		
		SL		surveyls_description				en																																																																																																																																																																																																																		
		SL		surveyls_welcometext				en																																																																																																																																																																																																																		
		SL		surveyls_endtext				en																																																																																																																																																																																																																		
		SL		surveyls_url				en																																																																																																																																																																																																																		
		SL		surveyls_urldescription				en																																																																																																																																																																																																																		
		SL		surveyls_email_invite_subj		"Invitation to participate in a survey"		en																																																																																																																																																																																																																		
		SL		surveyls_email_invite		"Dear {FIRSTNAME},<br /><br />you have been invited to participate in a survey.<br /><br />The survey is titled:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />To participate, please click on the link below.<br /><br />Sincerely,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Click here to do the survey:<br />{SURVEYURL}<br /><br />If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />{OPTOUTURL}<br /><br />If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />{OPTINURL}"		en																																																																																																																																																																																																																		
		SL		surveyls_email_remind_subj		"Reminder to participate in a survey"		en																																																																																																																																																																																																																		
		SL		surveyls_email_remind		"Dear {FIRSTNAME},<br /><br />Recently we invited you to participate in a survey.<br /><br />We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br /><br />The survey is titled:<br />""{SURVEYNAME}""<br /><br />""{SURVEYDESCRIPTION}""<br /><br />To participate, please click on the link below.<br /><br />Sincerely,<br /><br />{ADMINNAME} ({ADMINEMAIL})<br /><br />----------------------------------------------<br />Click here to do the survey:<br />{SURVEYURL}<br /><br />If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />{OPTOUTURL}"		en																																																																																																																																																																																																																		
		SL		surveyls_email_register_subj		"Survey registration confirmation"		en																																																																																																																																																																																																																		
		SL		surveyls_email_register		"Dear {FIRSTNAME},<br /><br />You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br /><br />To complete this survey, click on the following URL:<br /><br />{SURVEYURL}<br /><br />If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}."		en																																																																																																																																																																																																																		
		SL		surveyls_email_confirm_subj		"Confirmation of your participation in our survey"		en																																																																																																																																																																																																																		
		SL		surveyls_email_confirm		"Dear {FIRSTNAME},<br /><br />this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br /><br />If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br /><br />Sincerely,<br /><br />{ADMINNAME}"		en																																																																																																																																																																																																																		
		SL		surveyls_dateformat		1		en																																																																																																																																																																																																																		
		SL		email_admin_notification_subj		"Response submission for survey {SURVEYNAME}"		en																																																																																																																																																																																																																		
		SL		email_admin_notification		"Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}"		en																																																																																																																																																																																																																		
		SL		email_admin_responses_subj		"Response submission for survey {SURVEYNAME} with results"		en																																																																																																																																																																																																																		
		SL		email_admin_responses		"Hello,<br /><br />A new response was submitted for your survey '{SURVEYNAME}'.<br /><br />Click the following link to see the individual response:<br />{VIEWRESPONSEURL}<br /><br />Click the following link to edit the individual response:<br />{EDITRESPONSEURL}<br /><br />View statistics by clicking here:<br />{STATISTICSURL}<br /><br /><br />The following answers were given by the participant:<br />{ANSWERTABLE}"		en																																																																																																																																																																																																																		
		SL		surveyls_numberformat		0		en																																																																																																																																																																																																																		
249		G	0	group				en																																																																																																																																																																																																																		
3237		Q	A	Array	1	"question SQ002 relevance set to 0"		en		N	N		0																																																																																																																																																																																																													
3238		SQ		SQ001	1	SQ001		en			N		0																																																																																																																																																																																																													
3239		SQ		SQ002		SQ002		en			N		0																																																																																																																																																																																																													
3240		Q	T	Q02		"relevance set to 0"		en		N	N		0																																																																																																																																																																																																													
gabrieljenik

gabrieljenik

2021-02-18 22:28

developer   ~62376

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1772

gabrieljenik

gabrieljenik

2021-02-25 18:41

developer   ~62533

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=31204

Related Changesets

LimeSurvey: master 4b5723f2

2021-02-25 18:35:35

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17015: Import from TSV : relevance set to "0" not imported (#1772) Affected Issues
17015
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-01-27 18:29 DenisChenu New Issue
2021-01-27 18:29 DenisChenu File Added: Capture d’écran du 2021-01-27 18-29-31.png
2021-01-27 18:29 DenisChenu File Added: limesurvey_survey_548455-relevance0.txt
2021-01-28 20:33 cdorin Priority none => normal
2021-01-28 20:33 cdorin Status new => confirmed
2021-01-28 20:33 cdorin Sync to Zoho Project => Yes
2021-02-18 22:23 gabrieljenik Issue cloned: 17114
2021-02-18 22:23 gabrieljenik Relationship added related to 17114
2021-02-18 22:28 gabrieljenik Note Added: 62376
2021-02-25 18:41 gabrieljenik Changeset attached => LimeSurvey master 4b5723f2
2021-02-25 18:41 gabrieljenik Note Added: 62533
2021-02-25 18:41 gabrieljenik Assigned To => gabrieljenik
2021-02-25 18:41 gabrieljenik Resolution open => fixed